"""empty message

Revision ID: 70752cee95cd
Revises: f21a31ad25de
Create Date: 2021-07-21 19:11:38.567277

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '70752cee95cd'
down_revision = 'f21a31ad25de'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('fit_parameters',
    sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
    sa.Column('project', postgresql.UUID(as_uuid=True), nullable=True),
    sa.Column('name', sa.String(length=50), nullable=False),
    sa.Column('role', sa.Enum('GROWTH_PARAMETER', 'INDEPENDENT', 'METABOLITE', 'BUILT_IN', 'USER_DEFINED', name='parameterrole'), nullable=False),
    sa.Column('type', sa.Enum('QUADRATIC_FACTOR', 'SUBSTRATE_FACTOR', 'INHIBITOR_FACTOR', name='parametertype'), nullable=True),
    sa.Column('upper_bound', sa.Float(), nullable=True),
    sa.Column('lower_bound', sa.Float(), nullable=True),
    sa.Column('target', sa.Float(), nullable=True),
    sa.Column('spread', postgresql.JSON(astext_type=sa.Text()), nullable=True),
    sa.Column('trash_hold', postgresql.JSON(astext_type=sa.Text()), nullable=True),
    sa.Column('user_function', sa.String(length=50), nullable=True),
    sa.ForeignKeyConstraint(['project'], ['project.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('fit_procedures',
    sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
    sa.Column('project', postgresql.UUID(as_uuid=True), nullable=True),
    sa.Column('step_name', sa.String(length=50), nullable=False),
    sa.Column('batches_to_fit', postgresql.ARRAY(sa.Integer()), nullable=True),
    sa.Column('number_of_particles', sa.Float(), nullable=True),
    sa.Column('iterations', sa.Float(), nullable=True),
    sa.Column('speed', sa.Float(), nullable=True),
    sa.Column('number_of_processes', sa.Float(), nullable=True),
    sa.ForeignKeyConstraint(['project'], ['project.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.add_column('project', sa.Column('columns_map', postgresql.JSON(astext_type=sa.Text()), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('project', 'columns_map')
    op.drop_table('fit_procedures')
    op.drop_table('fit_parameters')
    # ### end Alembic commands ###
